[data-component-scope="brand-custom"].footer {
    padding: 0;

    background-color: var(--color-secondary) !important;

    color: var(--color-primary) !important;
    font-size: 1.4rem;
    line-height: 1;
}

[data-component-scope="brand-custom"] .footer__upper {
    display: flex;
    flex-wrap: wrap;
    gap: 3rem 6rem;
    justify-content: start;
    align-items: center;

    width: min(100%, 1400px);
    margin: 0 auto;
    padding: 3rem 4rem;

    color: var(--color-primary);
}

@media (max-width: 759px) {
    [data-component-scope="brand-custom"] .footer__upper {
        flex-direction: column;
        justify-content: center;
        text-align: center;
    }
}

[data-component-scope="brand-custom"] .footer__lower {
    padding: 1.2rem 4rem;

    background-color: var(--color-tertiary);

    font-size: 1.3rem;
    color: #cccccc;
    text-align: center;
}

[data-component-scope="brand-custom"] .footer__info {
    display: grid;
    gap: 3rem;
}

@media (max-width: 639px) {
    [data-component-scope="brand-custom"] .footer__info {
        width: 100%;

        justify-items: center;
    }
}

@media (min-width: 640px) {
    [data-component-scope="brand-custom"] .footer__logo {
        justify-self: start;
    }
}

[data-component-scope="brand-custom"] .footer__logo-img {
    display: block;

    width: 100%;
    height: auto;
    max-width: 200px;
    max-height: 64px;

    filter: brightness(0%) saturate(100%) invert(100%);
}

[data-component-scope="brand-custom"] .footer__social {
    display: flex;
    gap: 4rem;
}

[data-component-scope="brand-custom"] .footer__social :is(svg, img) {
    display: block;
    width: 2rem;
    height: 2rem;
}

[data-component-scope="brand-custom"] .footer__section-title {
    line-height: 1.8;
    font-weight: var(--font-bold);
    margin-bottom: 4px;
}

[data-component-scope="brand-custom"] .footer__section-item {
    display: block;
    line-height: 1.8;
}

[data-component-scope="brand-custom"] a.footer__section-item {
    color: #cccccc;
    transition: color var(--transition-duration-color) var(--transition-timing-fn);
}

[data-component-scope="brand-custom"] .footer__section a:where(:hover, :focus-visible) {
    color: var(--color-primary);
}
